### Name: filter.RMT
### Title: Filter noise from a correlation matrix using RMT to identify the
###   noise
### Aliases: filter.RMT getRandomMatrix mp.density.hist mp.density.kernel
###   mp.density.kernel.default mp.density.kernel.returns
###   mp.density.kernel.covariance mp.density.kernel.correlation
###   mp.fit.hist mp.fit.kernel mp.eigen.max mp.eigen.min mp.lambdas mp.rho
###   mp.theory cor.empirical r.normalize clean.bouchaud denoise
### Keywords: ts

### ** Examples

# Fit the appropriate MP curve to the data. This will estimate Q and sigma.
# hist is a histogram object
h <- getRandomMatrix(1000, 6000)
hist <- mp.density.hist(h)
o <- optim(c(6,1), mp.fit.hist(hist))

# Calculate and plot the theoretical density distribution
rho <- mp.theory(6,1)

clean <- filter.RMT(h, c(6,1))



