### Name: optimizePortfolio
### Title: Optimize a portfolio using the specified correlation filter
### Aliases: optimizePortfolio getCorFilter.RMT getCorFilter.Shrinkage
###   getCorFilter.Raw getCorFilter.Sample getCorFilter.ShrinkageM
###   p.optimize classify
### Keywords: ts

### ** Examples

data(sp500.subset)
h <- sp500.subset
ws <- optimizePortfolio(h, 190, getCorFilter.Sample() )
ws <- optimizePortfolio(h, 190, getCorFilter.Raw() )
ws <- optimizePortfolio(h, 190, getCorFilter.RMT() )
ws <- optimizePortfolio(h, 190, getCorFilter.Shrinkage() )

# This is computationally faster although the convenient approach is to pass
# in the character symbol directly: getCorFilter.Shrinkage('^GSPC')
m <- getPortfolioReturns('^GSPC', obs=1000, end='2009-02-27')
ws <- optimizePortfolio(h, 190, getCorFilter.ShrinkageM(m) )



